Ext.define("reportPluginExample.Accounting",{
	extend: "reportPluginExample.BudgetExpenseBase",
	config: {
		costcenters:null,
		costcenterOptions: null,
		costcentersName:null,
		accounts:null,
		accountOptions:null,
		accountsName:null
	},
	personCombo: null,
	PERSONALOVERVIEW: 0,
	MANAGEROVERVIEW: 1,
	initComponent: function() {
		this.callParent();
		this.costcenterSelect = CWHF.createCombo("accountingReportConfig.prompt.costcenter", this.costcentersName,
				{value: this.costcenters,
				data: this.costcenterOptions,
				labelWidth: this.labelWidth,
				labelAlign: this.labelAlign,
				labelStyle: this.labelStyle,
				width: this.width},
				{select: {fn:this.costCenterSelect, scope:this}});
		this.add(this.costcenterSelect);
		this.accountSelect = CWHF.createMultiSelect(null, this.accountsName,
			{value: this.accounts,
			data: this.accountOptions,
			labelWidth: this.labelWidth,
			labelAlign: this.labelAlign,
			labelStyle: this.labelStyle,
			width: this.width,
			height: 100,
			fieldLabel:"accountingReportConfig.prompt.account"}); 
		this.add(this.accountSelect);
	},
	
	costCenterSelect: function(combo, records, eOpts) {
		var params = {templateID: this.templateID};
		params[this.costcentersName] = combo.getValue();
		Ext.Ajax.request({
			url: "reportDatasource!refreshParameters.action",
			params: params,
			scope: this,
			disableCaching:true,
			success: function(response) {
				var responseJson = Ext.decode(response.responseText);
				this.accountSelect.getStore().loadData(responseJson);
			},
			failure: function(result) {
				Ext.MessageBox.alert(getText("common.err.failure"), result.responseText);
			}
		})
	}
});
