Ext.define("reportPluginExample.BudgetExpenseBase",{
	extend: "reportPluginExample.TimePeriod",
	config: {
		overview: null,
		overviewOptions: null,
		overviewName: null,
		person: null,
		personOptions:null,
		personName:null
	},
	personCombo: null,
	PERSONALOVERVIEW: 0,
	MANAGEROVERVIEW: 1,
	initComponent: function() {
		this.callParent();
		var overviewList = CWHF.getRadioButtonItems(this.overviewOptions,
				this.overviewName, 'id', 'label', this.overview, false, false);
		this.overviewRadioGroup = CWHF.getRadioGroup("overview",
				"accountingReportConfig.prompt.operationMode", this.width, overviewList,
				{labelWidth: this.labelWidth,
				labelAlign: this.labelAlign,
				labelStyle: this.labelStyle},
				{change: {fn: this.overviewChanged, scope:this}}); 
		this.add(this.overviewRadioGroup);
		this.personCombo = CWHF.createCombo("accountingReportConfig.prompt.person", this.personName,
			{value:this.person,
			data:this.personOptions,
			disabled:this.overview==0,
			multiSelect: true,
			typeAhead:true,
			labelWidth: this.labelWidth,
			labelAlign: this.labelAlign,
			labelStyle: this.labelStyle,
			width: this.width});
		this.add(this.personCombo);
	},
	overviewChanged: function(radioGroup, newValue, oldValue, options){
		var checkedArr = radioGroup.getChecked();
		if (checkedArr.length==1) {
			var checkedRadio = checkedArr[0];
			var value=checkedRadio.getSubmitValue();
			this.personCombo.setDisabled(value==0);
		}
	}
});
