Ext.define("reportPlugin.EarnedValueChart",{
	extend: "reportPlugin.TimeIntervalWithStatus",
	config: {
		effortTypeOptions: null,
		effortType: null,
		effortTypeName:null
	},
	initComponent: function() {
		this.callParent();
		Ext.Array.forEach(this.effortTypeOptions, function(effortTypeOption, index) {
				effortTypeOption.label = getText(effortTypeOption.label);
			}, this);
		this.add(CWHF.createCombo("earnedValue.prompt.effortTypes", this.effortTypeName,
			{value:this.effortType,
			data:this.effortTypeOptions,
			labelWidth: this.labelWidth,
			labelAlign: this.labelAlign,
			labelStyle: this.labelStyle,
			width: this.width}));
	}
});
