Ext.define("reportPluginExample.FilterHistory",{
	extend: "reportPluginExample.TimePeriod",
	config: {
		excludeWithoutHistory: null,
		excludeWithoutHistoryName: null,
		fieldOptions: null,
		fields: null,
		fieldsName: null,
		personOptions: null,
		person: null,
		personName: null
	},
	initComponent: function() {
		this.callParent();
		this.add(CWHF.createCheckbox("filterHistoryConfig.prompt.excludeWithoutHistory", this.excludeWithoutHistoryName,
				{value:this.excludeWithoutHistory,
				labelWidth: this.labelWidth,
				labelAlign: this.labelAlign,
				labelStyle: this.labelStyle,
				width: this.width
			}));
		this.add(CWHF.createMultiSelect(null, this.fieldsName,
				{data: this.fieldOptions,
				value: this.fields,
				labelWidth: this.labelWidth,
				labelAlign: this.labelAlign,
				labelStyle: this.labelStyle,
				width: this.width,
				height: 100,
				fieldLabel:"filterHistoryConfig.prompt.fields"}));
		this.add(CWHF.createCombo("filterHistoryConfig.prompt.changedByPerson", this.personName,
				{value:this.person,
				data:this.personOptions,
				labelWidth: this.labelWidth,
				labelAlign: this.labelAlign,
				labelStyle: this.labelStyle,
				width: this.width}));
	}
});
