Ext.define("reportPluginExample.StatusOverTime",{
	extend: "reportPluginExample.TimeIntervalWithStatus",
	config: {
		calculationModeOptions: null,
		calculationMode: null,
		calculationModeName: null
	},
	NEW: 1,
	ACTUAL_SAMPLE: 2,
	ACTUAL_ACTIVITY: 3,
	ACCUMULATED_ACTIVITY: 4,
	initComponent: function() {
		this.callParent();
		Ext.Array.forEach(this.calculationModeOptions, function(calculationModeOption, index) {
			calculationModeOption.label = getText(calculationModeOption.label);
			}, this);
		this.add(CWHF.createComboWithHelp("statusOverTime.prompt.calculationMode", this.calculationModeName,
				{value:this.calculationMode,
				data:this.calculationModeOptions,
				labelWidth: this.labelWidth,
				labelAlign: this.labelAlign,
				labelStyle: this.labelStyle,
				width: this.width},
				{select: {fn: this.calculationModeChanged, scope:this}}));
	},
	
	calculationModeChanged: function(combo, records, options) {
		var calculationMode = combo.getValue();
		this.statusCombo.setDisabled(calculationMode==this.NEW)		
	}
});
