Ext.define("reportPluginExample.TimeIntervalWithStatus",{
	extend: "reportPluginExample.TimePeriod",
	config: {
		timeIntervalOptions: null,
		timeInterval: null,
		timeIntervalName:null,
		statusOptions:null,
		statuses: null,
		statusesName: null,
		statusLabelKey:null
	},
	statusSelect: null,
	initComponent: function() {
		this.callParent();
		Ext.Array.forEach(this.timeIntervalOptions, function(timeIntervalOption, index) {
				timeIntervalOption.label = getText(timeIntervalOption.label);
			}, this);
		this.add(CWHF.createCombo("common.prompt.timeInterval", this.timeIntervalName,
			{value:this.timeInterval,
			data:this.timeIntervalOptions,
			labelWidth: this.labelWidth,
			labelAlign: this.labelAlign,
			labelStyle: this.labelStyle,
			width: this.width}));
		this.statusSelect = CWHF.createMultiSelect(null, this.statusesName,
			{data: this.statusOptions,
			value: this.statuses,
			labelWidth: this.labelWidth,
			labelAlign: this.labelAlign,
			labelStyle: this.labelStyle,
			width: this.width,
			height: 100,
			fieldLabel:this.statusLabelKey});
		this.add(this.statusSelect);
	}
});
